StaticCodeConstraintException (Apache Commons BCEL 6.6.1 API)

org.apache.bcel.verifier.exc

## Class StaticCodeConstraintException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
        - - org.apache.bcel.verifier.exc.VerificationException
          - - org.apache.bcel.verifier.exc.CodeConstraintException
            - - org.apache.bcel.verifier.exc.StaticCodeConstraintException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    StaticCodeInstructionConstraintException, StaticCodeInstructionOperandConstraintException

      public abstract class StaticCodeConstraintException
      extends CodeConstraintException

  Instances of this class are thrown by BCEL's class file verifier "JustIce" when a class file to verify does not pass the verification pass 3 because of a violation of a static constraint as described in the Java Virtual Machine Specification, 2nd edition, 4.8.1, pages 133-137. The static constraints checking part of pass 3 is called pass 3a in JustIce.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticCodeConstraintException(String message)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.bcel.verifier.exc.VerifierConstraintViolatedException

      `extendMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticCodeConstraintException

          public StaticCodeConstraintException(String message)

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.